package jp.ossc.petstore.dto.functiondto;

import jp.ossc.petstore.model.Customer;

/**
 * CustomerFunctionDTO
 * @author ossc
 * @version $Revision: 1.2 $
 */
public class CustomerFunctionDTO extends FunctionDTO {

	/**
	 * ユーザＩＤ
	 */
	private String userId = null;
	
	/**
	 * パスワード
	 */
	private String password = null;
	
	/**
	 * 顧客情報
	 */
	private Customer customer = null;


	/**
	 * ユーザＩＤ取得
	 * @return ユーザＩＤ
	 */
	public String getUserId() {
		return userId;
	}

	/**
	 * ユーザＩＤ設定
	 * @param userId ユーザＩＤ
	 */
	public void setUserId(String userId) {
		this.userId = userId;
	}
	
	/**
	 * パスワード取得
	 * @return パスワード
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * パスワード設定
	 * @param password パスワード
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * 顧客情報取得
	 * @return 顧客情報
	 */
	public Customer getCustomer() {
		return customer;
	}

	/**
	 * 顧客情報設定
	 * @param customer 顧客情報
	 */
	public void setCustomer(Customer customer) {
		this.customer = customer;
	}

}
